Package org.silverpeas.mobile.server.services.helpers

## Class NewsHelper

- java.lang.Object
- - org.silverpeas.mobile.server.services.helpers.NewsHelper

-     public class NewsHelper
      extends Object

  Author:
    svu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsHelper()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NewsHelper` | `getInstance()` |
    `List<org.silverpeas.components.quickinfo.model.News>` | `getLastNews​(String userId, String spaceId, int maxNews)` |
    `List<org.silverpeas.components.quickinfo.model.News>` | `getNewsByAppId​(String appId, boolean managerAccess)` |
    `List<NewsDTO>` | `populate​(List<org.silverpeas.components.quickinfo.model.News> news, boolean managerAccess)` |
    `NewsDTO` | `populate​(org.silverpeas.components.quickinfo.model.News n, boolean resizeImage)` |
    `NewsDTO` | `populate​(org.silverpeas.core.contribution.publication.model.PublicationDetail pub, boolean resizeImage)` |
    `List<NewsDTO>` | `populatePub​(List<org.silverpeas.core.contribution.publication.model.PublicationDetail> pubs, boolean managerAccess, boolean resizeImage)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsHelper

          public NewsHelper()

  - ### Method Detail

    - #### getInstance

          public static NewsHelper getInstance()

    - #### getLastNews

          public List<org.silverpeas.components.quickinfo.model.News> getLastNews​(String userId,
                                                                                  String spaceId,
                                                                                  int maxNews)
                                                                           throws Exception

      Throws:
        `Exception`

    - #### getNewsByAppId

          public List<org.silverpeas.components.quickinfo.model.News> getNewsByAppId​(String appId,
                                                                                     boolean managerAccess)

    - #### populate

          public NewsDTO populate​(org.silverpeas.components.quickinfo.model.News n,
                                  boolean resizeImage)

    - #### populate

          public List<NewsDTO> populate​(List<org.silverpeas.components.quickinfo.model.News> news,
                                        boolean managerAccess)

    - #### populate

          public NewsDTO populate​(org.silverpeas.core.contribution.publication.model.PublicationDetail pub,
                                  boolean resizeImage)

    - #### populatePub

          public List<NewsDTO> populatePub​(List<org.silverpeas.core.contribution.publication.model.PublicationDetail> pubs,
                                           boolean managerAccess,
                                           boolean resizeImage)